# $Id: HWE.chisq.R 838 2006-05-05 05:21:07Z weiliang_qiu $


###
### Hardy-Weinberg Equilibrium Significance Test
###

HWE.chisq <- function (object,
                                marker,
                                simulate.p.value = TRUE,
                                B = 10000, founderOnly=TRUE, ...)
  {

    if(founderOnly==TRUE)
    { object<-founderGeneSet(object) }

    levs <- unlist(alleleLevels(object,marker))
    flag <- levs %in% missingCodes(object, marker, drop=FALSE)
    levs <- levs[!flag]
    
    allele.tab <-
      table(
            factor(
                   alleles(object, which=1, marker=marker),
                   levels = levs
                   )
            , 
            factor(
                   alleles(object, which=2, marker=marker),
                   levels = levs
                   )
            )

    allele.tab <- 0.5 * (allele.tab + t(allele.tab))
    k <- ncol(allele.tab)
    if(simulate.p.value)
      {
        test <- chisq.test(allele.tab, simulate.p.value = simulate.p.value, 
                           B = B, ...)
      }
    else
      {
        test <- chisq.test(allele.tab, ...)
        test$parameter <- k*(k-1)/2
        test$p.value <- pchisq(test$statistic, test$parameter, lower = FALSE)
        names(test$statistic) <- "X-squared"
        names(test$parameter) <- "df"
      }
    return(test)
  }

