# set up parameters

convert <- function(source, levels, byrow=FALSE, aslist=FALSE)
{
  retval <- .Call('convert2', source, levels, byrow, PACKAGE="GeneticsBase")

  if(aslist)
    {
      nvec <- length(source)
      alen <- sapply(source, nchar)
      if(byrow) 
        retval <- sapply(1:nvec, function(x) retval[x,1:alen[x]])
      else
        retval <- sapply(1:nvec, function(x) retval[1:alen[x],x])
      names(retval) <- names(source)
    }
  else
    {
      if(byrow)
        rownames(retval) <- names(source)
      else
        colnames(retval) <- names(source)
    }
  retval
}

