#Id: decodeCallCodes.R,v 1.6 2005/07/03 02:50:30 warnes Exp $

decodeCallCodes <- function(callCodes, transTables, markerInfo)
{
  d <- dim(callCodes)
  out <- array("", d)
  tabnames <- names(transTables)
  mitabnames <- as.character(markerInfo$TransTable)
  if (!all(is.element(mitabnames, tabnames)))
    stop(paste("One or more values in markerInfo$TransTable",
               "not found in names(transTables)."))

  tabnames.used <- unique(mitabnames)
  for (nm in tabnames.used)
    {
      lev <- transTables[[nm]][, "levels"]
      rowsnow <- which(mitabnames == nm)
      codes <- callCodes[rowsnow,, drop=FALSE]
      if(max(codes,na.rm=TRUE) > length(lev))
        {
          stop("Inconsistency in number of levels in callCodes (",
                  max(codes), ") and TransTable (", length(lev),
                  ") for marker `", nm, "'.")
          
        }
      else
        out[rowsnow, ] <- lev[codes]
    }
  dimnames(out) <- dimnames(callCodes)
  out
}
