diseq.inner <- function(object, marker,...)
  {
    levs <- unlist(alleleLevels(object,marker))
    flag <- levs %in% missingCodes(object, marker, drop=FALSE)
    levs <- levs[!flag]

    observed.no <-
      table(
            factor(
                   alleles(object, which=1, marker=marker),
                   levels = levs
                   )
            , 
            factor(
                   alleles(object, which=2, marker=marker),
                   levels = levs
                   )
            )
    
    observed <- prop.table(observed.no)
    observed <- 1/2 * (observed + t(observed) )

    retval <- diseq.table(observed)
    retval$observed.no <- observed.no
    retval$call <- match.call()
    retval
  }


#setGeneric("diseq", function(object, ...)
#           standardGeneric("diseq"))

#setMethod("diseq", "geneSet",    diseq.geneSet)
