# converts specified marker into a factor, using (by default) the
# genotype levels given in transtables.  Note: currently doesn't
# properly handle misssingCodes!


factor.geneSet <- function(x, marker=markerNames(x), levels, ...)
  {
    if(is.numeric(marker))
      marker <- markerNames(x)[marker]

    if(missing(levels))
        levels <- genotypeLevels(x, marker)
    else if(!is.list(levels))
      {
        tmp <- list()
        for(m in marker)
          tmp[[m]] <- levels
        levels <- tmp
      }    
    
    f <- function(m)
      factor( genotypes(object=x, marker=m),
              levels=levels[[m]],
             ...)

    retval <- as.data.frame(lapply(marker, f))
    colnames(retval) <- marker
    rownames(retval) <- rownames(x@sampleInfo)
    retval
    
  }


#factor <- function(x, ...) {}

#setGeneric("factor", function(x, ...)
#           standardGeneric("factor"))

#factor.default <- base::factor

#setMethod("factor", "geneSet", factor.geneSet)
