
# Transform a geneSet object to a ped matrix
# (rows are subjects, columns are markers; 2*nMarkers columns)
#
geneSet2Ped<-function(geneSetObj) 
{ 

  sampleInfo<-geneSetObj@sampleInfo

#  len<-ncol(sampleInfo)
#
#  if(ncol(sampleInfo)<5 || is.integer(sampleInfo[1,5])==FALSE)
#      stop("`sampleInfo' must include at least 5 columns: ",
#           "family, pid, father, mother, sex, [affected].")
#
#  if(len==5) { sampleInfo<-sampleInfo[,1:5] 
#
#  }  
#  else {
#    if(is.integer(sampleInfo[1,6]) ==FALSE)
#      sampleInfo<-sampleInfo[,1:5] 
#    else 
#      sampleInfo<-sampleInfo[,1:6]
#  }
#
  columns<-colnames(sampleInfo)

  geneInfo<-alleleCodes(geneSetObj)

  ped<-cbind(as.matrix(sampleInfo), geneInfo)
  ped<-apply(ped, 2, as.numeric)


  markerNames<-markerNames(geneSetObj)
  
  if(!is.null(markerInfo(geneSetObj)$Position))
    Position<-markerInfo(geneSetObj)$Position
  else
    Position<-rep("?", length(markerNames))

  notes<-geneSetObj@notes
  if(!is.null(notes))
  { f1<-unlist(strsplit(notes, split=" "))[4]
    f2<-unlist(strsplit(f1, split="'"))[1]
    fileName<-unlist(strsplit(f2, split="`"))[2]
  } else 
  { fileName<-"?" }

  pedObj<-list(ped=ped, columns=columns, markerNames=markerNames, Position=Position, fileName=fileName)
  invisible(pedObj)
}

alleleCodes <- function(obj, which=c(1, 2))
{
  retval <- alleles(obj,which=which, codes=TRUE)
  retval[is.na(retval)] <- 0
  retval
}

