## Extract unique genotypes
setGeneric("genotypeLevels", function(object, ...)
           standardGeneric("genotypeLevels"))


setMethod("genotypeLevels", "geneSet", function(object, marker)
          {
            if(missing(marker)) marker <- 1:nmarker(object)
            if(is.numeric(marker)) marker <- markerNames(object)[marker]

            retval <- lapply(marker,
                   function(x)
                   {
                     tt <- transTables(object, x, drop=TRUE )
                     mc <- missingCodes(object, x , drop=TRUE)

                     tt <- tt[ !(
                                 (tt[,2] %in% mc) |
                                 (tt[,3] %in% mc)
                                 )
                              ,]
                     
                     retval <- unique(c(tt[,1]))
                     retval
                   }
                 )
            
            names(retval) <- marker
            retval
            
          })

