html <- function(x, filename="", ...)
  UseMethod("html")

latex <- function(x, filename="", ...)
  UseMethod("latex")

latex.default <- function(x, filename="", ...)
  {
    txt <- capture.output( print(x, ...) )

    # quote troublesome characters
    txt <- gsub("([\\^\\_\\%\\$\\@])","\\\\\\1",txt)

    cat("\\begin\\{verbatim\\}",
        txt, "",
        "\\end\\{verbatim\\}\n",
        file=filename, sep="\n")
  }

txt <- function(x, filename="", ...)
  UseMethod("txt")

txt.default <- function(x, filename="", eol="\n", ...)
  {
    txt <- capture.output( print(x, ...) )
    cat(txt,"", file=filename, sep=eol)
  }

