## $Id: makeMarkerInfo.R 1223 2007-05-26 16:20:28Z warnes $

makeMarkerInfo <- function(loci = character(0),
                           transTable = loci
                           )
{
  ## function to make a markerInfo dataframe

  if(length(transTable)==1)
    transTable <- rep(transTable, length(loci))
  
  if (!is.character(loci))
    stop("Argument \"loci\" must have mode character.")
  if (!is.character(transTable))
    stop("Argument \"transTable\" must have mode character.")
  if ( length(loci) != length(transTable) )
    stop("Arguments loci and transTable have different lengths.")

  out <- data.frame(DUMMY=1:length(loci))  #
  out$Name = loci                          # workaround to avoid
  out$TransTable = transTable              # conversion to factors
  out$DUMMY=NULL                          #
  
  rownames(out) <- out$Name
  out
}
