# $Id: makeTransTable.R 970 2006-10-03 21:20:07Z weiliang_qiu $

makeTransTable <- function(alleleString = "Aa", sep = "/", ploidy = 2) {
	## Function to make a translation table, a character matrix
	if (ploidy != 2)
		stop("Sorry, only implemented for ploidy = 2.")
	alleleString <- alleleString[1]
	#alleleVec <- strsplit(alleleString, NULL)[[1]]
	alleleVec <- strsplit(alleleString, split = character(0))[[1]]
	grid <- fastGrid(alleleVec)
	lev <- paste(grid[, 1], grid[, 2], sep = sep)
	out <- cbind(lev, grid)
	dimnames(out) <- list(character(0), c("levels", "allele.1",
		"allele.2"))
	out
}

