# $Id: makeTransTableList.R 202 2005-02-25 19:29:37Z warnes $

makeTransTableList <- function(alleleStringVec, listNames = NULL) {
	## Function to make a list of translation tables
	# alleleStringVec: character vector such as c("12", "ACGT")
	alleleStringVec <- as.character(alleleStringVec)
	n <- length(alleleStringVec)
	out <- vector("list", n)
	for (i in seq(along = alleleStringVec)) {
		out[[i]] <- makeTransTable(alleleStringVec[i])
	} 
	nNames <- length(listNames)
	if (nNames == 0)
		listNames <- paste("Table", seq(length = n), sep = ".")
	else if (nNames != n)
		stop(paste("Length of listNames is ", nNames, "; should be ",
			n, ".", sep = ""))
	names(out) <- listNames
	out 
}

