
## missingCodes:  Accessor and replacement methods
setGeneric("missingCodes", function(object, ...)
           standardGeneric("missingCodes"))

missingCodes.geneSet <- 
          function(object, marker, rename=!missing(marker), drop=TRUE)
          {
            if(missing(marker))
              object@missingCodes
            else
              {

                if(is.numeric(marker))
                  index <- marker
                else
                  index <- object@markerInfo$Name %in% marker
                table <- object@markerInfo[index,"TransTable"]

                ## Handle case when 'ALL' is provided
                if("ALL" %in% names(object@missingCodes))
                  {
                    myMissingCodes <- rep(object@missingCodes$ALL, times=length(index))
                    names(myMissingCodes) <- markerNames(object)[index]
                  }
                else
                  myMissingCodes <- object@missingCodes
                
                if(rename)
                  {
                    retval <- myMissingCodes[ as.character(table) ]
                    names(retval) <- object@markerInfo[index, "Name"]
                  }
                else
                  retval <- myMissingCodes[ unique(as.character(table)) ]

                if(drop && length(retval)==1)
                  retval[[1]]
                else
                  retval
              }
          }

setMethod("missingCodes", "geneSet", missingCodes.geneSet)

setGeneric("missingCodes<-", function(object, value)
           standardGeneric("missingCodes<-"))

setReplaceMethod("missingCodes", "geneSet", 
	function(object, value)
                 {
		   # ??? Check that list has names?
    		   object@missingCodes <- value
                   return(object)
                 })
