subset.geneSet <- function(x, i, j, drop)
## Extract a subset of a geneSet object (used by '[' and '[[')
## i=genes
## j=observations
## drop is ignored
  {
    if(missing(i)) i <- 1:nrow(x@callCodes)
    if(missing(j)) j <- 1:ncol(x@callCodes)           
    
    new <- x
    
    new@callCodes    <- x@callCodes[i, j, drop=FALSE]
    new@markerInfo   <- x@markerInfo[i, , drop=FALSE]

    mnames <- markerNames(new)
    new@transTables  <- transTables(x,  marker=mnames, rename=FALSE, drop=FALSE)
    new@missingCodes <- missingCodes(x, marker=mnames, rename=FALSE, drop=FALSE)
    
    new@sampleInfo   <- x@sampleInfo[j,,drop=FALSE]

    
    if( all( dim(new@errorMetrics)!=0) )
      new@errorMetrics <- x@errorMetrics[i,j, drop=FALSE]
    
    validate(new)

    new
  }


setMethod('[',  'geneSet', subset.geneSet) 
setMethod('[[', 'geneSet', subset.geneSet)
