## transTables:  Accessor and replacement methods
setGeneric("transTables", function(object, ...)
           standardGeneric("transTables"))

setMethod("transTables", "geneSet",
          function(object, marker, rename=!missing(marker), drop=TRUE)
          {
            if(missing(marker))
              object@transTables
            else
              {
                if(is.numeric(marker))
                  index <- marker
                else
                  index <- object@markerInfo$Name %in% marker
                table <- object@markerInfo[index,"TransTable"]
                if(rename)
                  {
                    retval <- object@transTables[ as.character(table) ]
                    names(retval) <- object@markerInfo[index, "Name"]
                  }
                else
                    retval <- object@transTables[ unique(as.character(table)) ]

                if(drop && length(retval)==1)
                  retval[[1]]
                else
                  retval
              }
          }
          )

setGeneric("transTables<-", function(object, value)
           standardGeneric("transTables<-"))

setReplaceMethod("transTables", "geneSet", 
	function(object, value) {
		# ??? if value is not an empty list,then check if all
		# components contain the column "levels" ???
		# ??? Check that list has names?
		object@transTables <- value
		return(object)
})
