
print.GeneticsBaseSummary <- function(x, digits=3, ...)
  {
    cat("\n")
    print(x$data, quote=FALSE, digits=3)
    cat("Footer:\n")
    cat(strwrap(x$footer,width=60,indent=10,exdent=10),sep="\n")
  }

write.GeneticsBaseSummary <- function(x, filename="", ..., format="txt")
  {
    if(format=="txt")
      UseMethod("txt")
    else
      {
        xtab <- xtable(
                       x$data,
                       label='tabbig',
                       quote=FALSE,
                       caption=x$footer,
                       ...
                       )

        # quote troublesome characters in column names, e.g. '^' in 'HWE X^2'
        QuoteChars <- "([\\^\\_\\%\\$\\@])"
        AddSlash   <- "\\\\\\1" 
        txt <- names(xtab)
        txt <- gsub(QuoteChars,AddSlash,txt)
        names(xtab) <- txt

        #print.xtable(
        print(
                     xtab,
                     type=format,
                     file=filename,
                     ...
                     )
      }
  }

html.GeneticsBaseSummary <- function(x, filename="", ...)
  {
    write.GeneticsBaseSummary(x=x, filename=filename, ..., format="html")
  }

latex.GeneticsBaseSummary <- function(x, filename="", ...)
  {
    write.GeneticsBaseSummary(x=x, filename=filename, ..., format="latex")
  }
