\name{ALZH}
\alias{ALZH}
\docType{data}
\title{Sample from National Institute of Mental Health (NIMH) Genetics
  Initiative Alzheimer's Disease}
\description{
  Sample from National Institute of Mental Health (NIMH) Genetics
  Initiative Alzheimer's Disease
}
\usage{data(ALZH)}
\format{
Object of class 'geneSet' 
}
\details{

  "This data set is a subsample from the National Institute of Mental
  Health (NIMH) Genetics Initiative Alzheimer's Disease (AD) Sample. The
  ascertainment and assessment of AD families collected have been
  discussed in Blacker et al. (1997). None of the families in this data
  set have parental genotype information; practically all of them have
  both affected and unaffected offspring. In total there are 901
  individuals contained in 301 nuclear families.

  "Acknowledgements: We thank Genetics and Aging Research Unit, Rudolph
  E. Tanzi, PhD, Director, for providing the data.

  "Genotypes

  "The pedigree file, Alzh.ped, contains genotype information for two
  candidate genes, apoe and a2m.  The apoe gene is multi-allelic, while
  the a2m gene is bi-allelic.  The dataset also contains the affection
  status (2=affected, 1=unaffected, 0=missing).

  "Phenotypes

  "We only will be using the Alzheimer dataset to examine affection
  status, which is contained in the pedigree file, thus a phenotype file
  for these data is not necessary."

  (quoted from Lange and Kraft 2005)

}
\source{
  Lange, C. and Kraft, P. (2005). "Short Course: Genetics Associateion
  Analysis." 
}
\references{
  Lange, C. and Kraft, P. (2005). "Short Course: Genetics Associateion
  Analysis." 
}
\examples{
library(GeneticsBase)
data(ALZH)
head(ALZH)
}
\keyword{datasets}
