\name{CAMP}
\alias{CAMP}
\docType{data}
\title{Genotype data from the Childhood Asthma Management Program (CAMP)}
\description{

  "This dataset comprises a collection of parent/child trios in the
  Childhood Asthma Management Program (CAMP) Ancillary Genetics
  Study. The CAMP study is a clinical trial of asthmatic children (mild
  to moderate asthma) who were randomized to three different asthma
  treatments (CAMP, 1999). The data set includes 699 complete
  parent/child trios. Some participants are siblings, and there are 2011
  persons from 640 nuclear families in total. Both quantitative and
  qualitative traits are available."

  Genotypes:

  "The pedigree file, Camp.ped, contains genotype information for eight
  candidate genes (m709, m654, m47, p46, p79, p252, p491, p523).  The
  last seven markers (all but m709) lie in a haplotype block.  All the
  markers are bi-allelic."

  Phenotypes:

  "The phenotype file, campz.phe, contains 12 quantitative traits
  (zposfevp, zposfvcp, zlogpc20, zampfmea, zpmpfmea, zbdabs, zfevbd,
  zbdpred, zsxcmean, ztoteos, zlogige, zncorpos).  All of the phenotypes
  have been mean centered and standardized.  The fev (forced expiatory
  volume) and fvc (forced vital capacity) variables refer to the amount
  of air that can be expelled from the lungs.  The pc20 variable refers
  to the amount of irritant required to cause a 20\% drop in fev.  The
  toteos variable refers to total eosinophil (a white blood cell) count,
  and Ige is a measurement of allergen reactivity."

  (quoted from Lange and Kraft 2005)

}
\usage{data(CAMP)}
\format{
  Object to class 'geneSet'. Covariate information described above.
}
\source{
  Lange, C. and Kraft, P. (2005). "Short Course: Genetics Associateion
  Analysis." 
}
\references{
  Lange, C. and Kraft, P. (2005). "Short Course: Genetics Associateion
  Analysis." 
    
  DeMeo, D. L., C. Lange, et al. (2002). "Univariate and multivariate
  family-based association analysis of the IL-13 ARG130GLN polymorphism
  in the Childhood Asthma Management Program." Genet Epidemiol 23(4):
  335-48.
}
\examples{
library(GeneticsBase)
data(CAMP)
head(CAMP) 
}
\keyword{datasets}
