\name{HWE.chisq}
\alias{HWE.chisq}
\title{Hardy-Weinberg Equilibrium Significance test for a biallelic locus}
\description{
Hardy-Weinberg Equilibrium Significance test for a biallelic locus .
}
\usage{
HWE.chisq(object,
          marker,
          simulate.p.value = TRUE,
          B = 10000, 
          founderOnly=TRUE, 
          ...)
}
\arguments{
  \item{object}{a geneSet object.}
  \item{marker}{marker name for the biallelic locus.}
  \item{simulate.p.value}{a logical indicating whether to compute p-values by
          Monte Carlo simulation.}
  \item{B}{an integer specifying the number of replicates used in the
          Monte Carlo test. Defaults to 10000.}
  \item{founderOnly}{Indicates if only founders are used to do the test.}
  \item{...}{Othere arguments used by the function \code{\link[stats]{chisq.test}}.}
}
\value{
The values of the function \code{HWE.chisq} is the same as those of the function \code{\link[stats]{chisq.test}}. Part of the values are listed below:  

  \item{statistic}{the value the chi-squared test statistic.}
  \item{parameter}{the degrees of freedom of the approximate chi-squared
          distribution of the test statistic, 'NA' if the p-value is
          computed by Monte Carlo simulation.}
  \item{p.value}{the p-value for the test.}
}
\author{Gregory R. Warnes \email{gregory.r.warnes@pfizer.com} and Nitin Jain \email{nitin.jain@pfizer.com}}
\seealso{\code{\link{HWE.exact}}}
\examples{
library(GeneticsBase)
data(CAMP)

HWE.chisq(CAMP, marker="m654")

} 
\keyword{misc}
