\name{alleleSummary}
\alias{alleleSummary}
%\alias{print.GeneticsBaseSummary}
\title{ Summary of allele information}
\description{
Summary of allele information.
}
\usage{
alleleSummary(object, 
              by = NULL, 
              confidence = 0.95, 
              alpha = 1 - confidence, 
              show = TRUE, 
              verbose = FALSE, 
              includeOverall = FALSE, 
              omitRepeats = TRUE, 
              ...)
%\method{print}{GeneticsBaseSummary}(x, digits=3, ...)
}
\arguments{
  \item{object}{ geneSet object  }
  \item{by}{optional column name, by which the summary is
    desired. Default is NULL.  }
  \item{confidence}{ confidence intervals of Genotype frequencies within
    each marker (default is 95\%) }
  \item{alpha}{Type -1 error rate = (1- confidence)}
  \item{show}{No longer used  }
  \item{verbose}{ Logical value (TRUE/FALSE), showing whether every 50th
    marker should be printed, default = FALSE }
  \item{includeOverall}{logical value (TRUE/FALSE) indicating whether
    overall summary is also needed, default = FALSE  }
  \item{omitRepeats}{ logical value (TRUE/FALSE) indicating whether
    Gene name and marker name should be printed repeatedly for each
    Genotype, default = TRUE } 
  \item{...}{Optional arguments}
}
\author{Nitin Jain \email{nitin.jain@pfizer.com} }
\examples{

library(GeneticsBase)
data(CAMP)

temp <- alleleSummary(CAMP)

print(temp) # display
txt(temp, filename="alleleSummary.txt")   # txt file
html(temp, filename="alleleSummary.html") # html file
latex(temp, filename="alleleSummary.tex") # latex file

}
\keyword{ misc }% at least one, from doc/KEYWORDS
