\name{geneSet2Ped}
\alias{geneSet2Ped}
\title{Translate a geneSet object to a ped matrix}
\description{
  Translate a geneSet object to a ped matrix.
}
\usage{
  geneSet2Ped(geneSetObj)
}
\arguments{
  \item{geneSetObj}{an object of geneSet class}
}
\value{
  A list with five elements: \code{ped}, \code{columns}, \code{markerNames}, \code{Position}, and \code{fileName}. \code{ped} is a pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual; \code{columns} are the names of the first 5 (or 6) columns of ped file. It should be either equal to  c("family","pid","father","mother","sex","affected") or equal to c("family","pid","father","mother","sex"); \code{founderOnly} indicates if using only founder info; \code{markerNames} is a vector of marker names; \code{Position} is a vector of marker positions; \code{fileName} is the pedigree file name.
}
\author{
Weiliang Qiu \email{stwxq@channing.harvard.edu}, 
Ross Lazarus \email{ross.lazarus@channing.harvard.edu}, 
Gregory Warnes \email{warnes@bst.rochester.edu},
Nitin Jain \email{nitin.jain@pfizer.com}
}
\examples{
  data(CAMP)
  res<-geneSet2Ped(CAMP)
  res$ped[1:5,]
  res$columns
  res$markerNames
  res$Position
  res$fileName
  
}
\keyword{misc}

