\name{haplo.scan.w}
\alias{haplo.scan.w}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Wrapper for searching for a trait-locus by sliding a fixed-width window over each marker locus and scanning all possible haplotype lengths within the window}
\description{
Wrapper for searching for a trait-locus by sliding a fixed-width window over each marker locus and scanning all possible haplotype lengths within the window.
}
\usage{
haplo.scan.w(geneSetObj, 
             width = 4, 
             miss.val = c(0, NA), 
             em.control = haplo.em.control(), 
             sim.control = score.sim.control())
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{geneSetObj}{A geneSet object}
  \item{width}{Width of sliding the window}
  \item{miss.val}{Vector of values that represent missing alleles in geno. }
  \item{em.control}{A list of control parameters to determine how to perform
  the EM algorithm for estimating haplotype frequencies when
  phase is   unknown. The list is created by the function
  \code{\link[haplo.stats]{haplo.em.control}} - see this function for more details.}
  \item{sim.control}{List of control parameters to determine how simulations
   are performed for simulated p-values. The list is created by
   the function \code{\link[haplo.stats]{score.sim.control}} and the default values of this
   function can be changed as desired. See \code{\link[haplo.stats]{score.sim.control}} for
   details. }
}
\details{
Please refer to \code{\link[haplo.stats]{haplo.scan}} for more details.
}
\value{
A list that has class haplo.scan, which contains the following items:

\item{call}{
The call to haplo.scan.w
}
\item{scan.df}{
A data frame containing the maximum test statistic for each window
around each locus, and its simulated p-value.
}
\item{max.loc}{
The loci (locus) which contain(s) the maximum observed test statistic
over all haplotype lengths and all windows.
}
\item{globalp}{
A p-value for the significance of the global maximum statistic.
}
\item{nsim}{
Number of simulations performed
}
}
\references{ ~put references to the literature/web site here ~ }
\author{ Weiliang Qiu \email{stwxq@channing.harvard.edu}, Ross Lazarus \email{ross.lazarus@channing.harvard.edu}}
\note{ ~~further notes~~ 
}
\seealso{ \code{\link{haplo.em.w}}, \code{\link{haplo.score.slide.w}}, \code{\link{haplo.score.w}}}
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
"haplo.scan.w"
}
\keyword{ misc }% at least one, from doc/KEYWORDS
