\name{hapmapchr22}
%\alias{hapmapchr1}
\alias{hapmapchr22}
\docType{data}
\title{Chromosome 22 genotypes from International HapMap project }
\description{

The sample data file, hapmapchr22, contains genotypes of hromosome 22
from the International HapMap project. This file contains genotypes from
30 CEPH trios (90 subjects) for all Phase 1 HapMap (about 1 SNP per 3kb
on average) - see \url{http://hapmap.org} for the original data file,
full details of samples, markers and methods. Note that the HapMap data
files are deidentified and freely distributable without restriction.

}
%\usage{data(hapmapchr1)}
\usage{data(hapmapchr22)}
\format{
  The format is:
 chr "hapmapchr22"
}
\details{

The file was created by converting chromosome 22 bulk data download data 
files from the HapMap file repository at 
\url{http://hapmap.org/genotypes/2005-06_16c_phaseI/full/non-redundant/}

Downloaded HapMap files were converted by transposing the layout of the
data from one row per marker to the pedigree file convention of two
columns per marker. There are many variants of the pedigree format but
these files are compatible with the popular family based analysis
software packages FBAT
(\url{http://www.biostat.harvard.edu/~fbat/fbat.htm}) and PBAT
(\url{http://www.biostat.harvard.edu/~clange/default.htm})

The file has a header row containing only the marker names followed by
one row per subject.  Data rows always start with 6 fields -
\code{family_id}, \code{individual_id}, \code{father_id},
\code{mother_id}, gender and affection status. Parents have zero for
\code{mother_id} and \code{father_id}. The remaining columns in each row
contain two allele codes for each marker. Alleles are coded as $0$ for
missing, $1=A$, $2=C$, $3=G$ and $4=T$.  All fields in a row are
delimited by one or more spaces. Note that affection status was
arbitrarily set to 2 (affected) for children and 1 (unaffected) for
adults - although in reality, HapMap CEPH subjects were not ascertained
for any disease.


}
\source{
\url{http://hapmap.org/genotypes/2005-06_16c_phaseI/full/non-redundant/}
}
\references{
\url{http://www.biostat.harvard.edu/~fbat/fbat.htm}
\url{http://www.biostat.harvard.edu/~clange/default.htm}
}
\examples{
data(hapmapchr22)
}
\keyword{datasets}
