\name{markerSummary}
\alias{markerSummary}
\alias{print.markerSummary}
\title{Generate allele, genotype, or LD summary objects}
\description{
  Generate allele, genotype, or LD summary objects
}
\usage{
markerSummary(object, 
              covariate = NULL, 
              confidence = 0.95, 
              alpha = 1 - confidence, 
              show = TRUE, 
              ...)
\method{print}{markerSummary}(x, ...)
}
\arguments{
  \item{object}{geneSet object}
  \item{covariate}{ }
  \item{confidence}{desired confidence interval for genotype and allele
    frequencies in each marker}
  \item{alpha}{Type -1 error rate = (1- confidence) }
  \item{show}{ No longer used  }
  \item{x}{ object of class 'markerSummary' }
  \item{\dots}{optional additional arguments}
}
\details{
  We can print the alleleSummary and genotypeSummary on screen, or save
  in html, tex, or pdf format using appropriate methods. 
}
\author{Nitin Jain \email{nitin.jain@pfizer.com} }
\examples{

library(GeneticsBase)
data(CAMP)
temp <- markerSummary(CAMP)

print.markerSummary(temp)
html.markerSummary(temp, filename="test")
latex.markerSummary(temp, filename="test")

}
\keyword{ misc }
