\name{ped2geneSet}
\alias{ped2geneSet}
\title{translate a ped matrix to a geneSet object}
\description{
  Translate a ped matrix to a geneSet object.
}
\usage{
  ped2geneSet(pedObj, quiet=FALSE)
}
\arguments{
  \item{pedObj}{a list with five elements: \code{ped}, \code{columns}, \code{markerNames}, \code{Position}, and \code{fileName}. \code{ped} is a pedigree data frame whose first 6 columns are family (pedigree id), pid (patient id), father (father id), mother (mother id), sex, affected (affection status). The remaining columns are pairs of marker alleles. Each row corresponds to an individual; \code{columns} are the names of the first 5 (or 6) columns of ped file. It should be either equal to  c("family","pid","father","mother","sex","affected") or equal to c("family","pid","father","mother","sex"); \code{founderOnly} indicates if using only founder info; \code{markerNames} is a vector of marker names; \code{Position} is a vector of marker positions; \code{fileName} is the pedidgree file name.}
  \item{quiet}{print intermediate results if \code{quiet=FALSE}.}
}
\value{
  An object of geneSet class.
}
\author{Weiliang Qiu \email{stwxq@channing.harvard.edu}, Ross Lazarus \email{ross.lazarus@channing.harvard.edu}}
\keyword{misc}

