\name{read.phe}
\alias{read.phe}
\alias{read.fbat.phe}
\alias{read.pbat.phe}
\title{Read '.phe' phenotype file data}
\description{
  Read '.phe' phenotype file data
}
\usage{
read.phe(filename, columns = c("family", "pid"), quiet = FALSE, ...)
read.fbat.phe(filename, columns = c("family", "pid"), quiet = FALSE, ...)
read.pbat.phe(filename, columns = c("family", "pid"), quiet = FALSE, ...)
}
\arguments{
  \item{filename}{Name of the file}
  \item{columns}{Column names for the first two columns of a pedigree
    file. Defaults to "family" and "pid", where "family" is a unique
    identifier for each family, and "pid" is a unique identifier for
    each individual.
  }
  \item{quiet}{Logical indicating whether progress display is
    suppressed, Defaults to \code{TRUE}.}
  \item{\dots}{Additional (optional) parameters provided to function
    matrix} 
}
\value{
A data frame containing the file
}
\author{Gregory R. Warnes \email{warnes@bst.rochester.edu} and
  Nitin Jain \email{nitin.jain@pfizer.com}}
\examples{
# store where we are now
here <- getwd()

# move to the data directory
dir <- file.path(.path.package("GeneticsBase"),"data")
setwd(dir)

# load hapmap chromosome 1 data
xbat <- readGenes(gfile="xbat.ped", gformat="fbat.ped",
                  pfile="xbat.phe", pformat="fbat.phe")

# look at the data
xbat

# return to the original path
setwd(here)
}
\keyword{misc}
