\name{readGenes.pfizer}
\alias{readGenes.pfizer}
\title{
  Read genetics data files that use Pfizer's data format.
}
\description{
  Read genetics data files that use Pfizer's data format.
}
\usage{
readGenes.pfizer(filename, phase=list(F),
                 format=c("Pivot", "Listing"),...)
}
\arguments{
  \item{filename}{ Name of the file in which data is stored }
  \item{phase}{see below}
  \item{format}{Format of the file to be read, one of "Pivot" or "Listing"}
  \item{\dots}{ Additional arguments to function read.table}
  
}
\details{
  The argument \code{phase} may be:
  \enumerate{
    \item{1}{A single logical scalar value that applies for all markers}
    \item{2}{A logical vector with one element per marker}
    \item{3}{A phaseObject (TBD) providing observation by marker by phase
      probabilities + definitions of contigs + probability of
      contigs
      }
  }
  }
\value{
  a geneSet object
}
\author{
  Gregory R. Warnes \email{warnes@bst.rochester.edu}
  and
  Nitin Jain \email{nitin.jain@pfizer.com}}
\examples{

# store where we are now
here <- getwd()

# move to the data directory
dir <- file.path(.path.package("GeneticsBase"),"data")
setwd(dir)

# load Pfizer Data
PfizerExample <- readGenes.pfizer("PfizerExample.txt", format="Listing")

# look at the data
PfizerExample

# return to the original path
setwd(here)

}
\keyword{misc}
