/* This file registers functions called from R */
/* Thank Nicholas Lewin-Koh for fixing the problem in this file */
 

#include "LdMax.h"
#include "readGenes.ped.h"
#include "convert.h"
extern "C" {
#include <Rinternals.h>
#include <Rdefines.h>
#include <R_ext/RConverters.h>
#include <R_ext/Rdynload.h>

/* Define argument types */

static R_NativePrimitiveArgType getLDdist_t[] = {
INTSXP, //int *founders, 
INTSXP, //int *nrow, 
INTSXP, //int *ncol,  
INTSXP, //int *numMarkers, 
INTSXP, //int *pos,
INTSXP, //int *maxDist, 
REALSXP, //double *pool, 
INTSXP, //int *iprint, 
REALSXP, //double *rMat, 
REALSXP, //double *r2Mat, 
REALSXP, //double *DprimeMat, 
REALSXP, //double *DMat, 
REALSXP, //double *chisqMat, 
REALSXP, //double *pvalMat, 
INTSXP, //int *nMat, 
REALSXP //double *LODMat)
};

static R_NativePrimitiveArgType getLD_t[] = {
INTSXP, //int *founders, 
INTSXP, //int *nrow, 
INTSXP, //int *ncol,  
INTSXP, //int *numMarkers, 
REALSXP, //double *pool, 
INTSXP, //int *iprint, 
REALSXP, //double *rMat, 
REALSXP, //double *r2Mat, 
REALSXP, //double *DprimeMat, 
REALSXP, //double *DMat, 
REALSXP, //double *chisqMat, 
REALSXP, //double *pvalMat, 
INTSXP, //int *nMat, 
REALSXP //double *LODMat)
};


static R_NativePrimitiveArgType getDimOfFile_t[] = {
STRSXP, //char **filename, 
INTSXP, //int *nrow, 
INTSXP, //int *sampleInfoLen, 
INTSXP, //int *nMarker,
INTSXP //int *errorFlag)
};

static R_NativePrimitiveArgType getPed_t[] = {
STRSXP, //char **filename, 
INTSXP, //int *ped, 
INTSXP, //int *nrow, 
INTSXP, //int *ncol, 
INTSXP, //int *nMarker, 
STRSXP, //char **markerNames, 
INTSXP //int *errorFlag
};

static R_NativePrimitiveArgType getLDband_t[] = {
INTSXP, //int *founders, 
INTSXP, //int *nrow, 
INTSXP, //int *ncol,  
INTSXP, //int *numMarkers, 
INTSXP, //int *width, 
INTSXP, //int *lag, 
REALSXP, //double *pool, 
INTSXP, //int *iprint, 
REALSXP, //double *rMat, 
REALSXP, //double *r2Mat, 
REALSXP, //double *DprimeMat, 
REALSXP, //double *DMat, 
REALSXP, //double *chisqMat, 
REALSXP, //double *pvalMat, 
INTSXP, //int *nMat, 
REALSXP //double *LODMat)
};

/* Functions accessed via .C() */
static const R_CMethodDef cMethods[] = {
  {"getLD",        (DL_FUNC) &getLD,        14, getLD_t},
  {"getLDband",    (DL_FUNC) &getLDband,    16, getLDband_t}, 
  {"getLDdist",    (DL_FUNC) &getLDdist,    16, getLDdist_t},
  {"getDimOfFile", (DL_FUNC) &getDimOfFile,  5, getDimOfFile_t},
  {"getPed",       (DL_FUNC) &getPed,        7, getPed_t},
  {NULL, NULL, 0}
};


/* Functions accessed via R's .Call interface */
static const R_CallMethodDef callMethods[]  = {
  {"convert2", (DL_FUNC) &convert2, 3}, // from convert.c
  {NULL, NULL, 0}
};

/* Initialization function */

void    R_init_GeneticsBase(DllInfo *info)
  {
    R_registerRoutines(info, 
		       cMethods, 
		       callMethods, 
		       NULL, //fortranMethods
		       NULL  //externamMethods
		       );
  }
}
