## Test Example: J. Cheng 09/20/04, S. Chasalow 2004-11-12

## Create aCodeSet2, a small geneSet object:

library(GeneticsBase)

tTabList <- makeTransTableList(c("Bb", "ATG"), c("Generic", "SNP"))

locus <- c("c104t", "c2249t")

ttab <- c("SNP", "Generic")

minfo <- makeMarkerInfo(locus, ttab)

misscodes <- list(Generic = c("NA", ".", "-"), SNP = "N")

r1 <- c(1, 2, 1, 1)
r2 <- c(1, 2, 3, 2)
data <- rbind(r1, r2) # callCodes
dimnames(data) <- list(locus, paste("Sample", seq(along = r1),
	sep = "."))

aCodeSet2 <- new('geneSet', callCodes = data, transTables =
	tTabList, missingCodes = misscodes, markerInfo = minfo, phase =
	list(F), ploidy = 2)

## show(aCodeSet2)

